package com.siwei.rsmonitoring.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.siwei.common.core.annotation.Excel;
import com.siwei.common.core.web.domain.BaseEntity;

import java.util.Date;
import java.util.List;

/**
 * 地块外业分配对象 t_dk_fieldwork
 *
 * @author siwei
 * @date 2025-01-21
 */
public class TDkFieldwork extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private String id;

    /**
     * 地块基本详情ID
     */
    @Excel(name = "地块基本详情ID")
    private String dkjdxxId;
    private List<String> dkjdxxIds;

    /**
     * 状态0下发 1保存  2提交
     */
    @Excel(name = "状态0下发 1保存  2提交")
    private String stepState;
    private String[] stepStateS;

    /**
     * 截止时间
     */
    @Excel(name = "截止时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date endTime;

    /**
     * 外业人员ID
     */
    @Excel(name = "外业人员ID")
    private String fieldworkId;

    /**
     * 外业人员名
     */
    @Excel(name = "外业人员名")
    private String fieldworkBy;

    /**
     * 举证说明
     */
    @Excel(name = "举证说明")
    private String notes;

    /**
     * 核查流程ID
     */
    @Excel(name = "核查流程ID")
    private String auditflowId;


    /**
     * 核查流程
     */
    private String auditflow;

    /**
     * 核查流程ID
     */
    @Excel(name = "核查流程步骤")
    private String auditflowStep;

    /**
     * 地块编号
     */
    @Excel(name = "地块编号")
    private String dkbh;

    /**
     * 地块面积(亩)
     */
    @Excel(name = "地块面积(亩)")
    private String dkmj;

    /**
     * 空间信息
     */
    @Excel(name = "空间信息")
    private String geom;

    /**
     * 确认状态 0认领 1退回
     */
    @Excel(name = "确认状态 0认领 1退回")
    private String confirmState;

    /**
     * 认领为空/退回类型
     */
    @Excel(name = "认领为空/退回类型")
    private String confirmType;

    /**
     * 确认备注
     */
    @Excel(name = "确认备注")
    private String confirmNotse;

    /**
     * 确认时间
     */
    @Excel(name = "确认时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date confirmTime;

    public void setId(String id) {
        this.id = id;
    }

    public String getId() {
        return id;
    }

    public void setDkjdxxId(String dkjdxxId) {
        this.dkjdxxId = dkjdxxId;
    }

    public String getDkjdxxId() {
        return dkjdxxId;
    }

    public List<String> getDkjdxxIds() {
        return dkjdxxIds;
    }

    public void setDkjdxxIds(List<String> dkjdxxIds) {
        this.dkjdxxIds = dkjdxxIds;
    }

    public void setStepState(String stepState) {
        this.stepState = stepState;
    }

    public String getStepState() {
        return stepState;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setFieldworkId(String fieldworkId) {
        this.fieldworkId = fieldworkId;
    }

    public String getFieldworkId() {
        return fieldworkId;
    }

    public void setFieldworkBy(String fieldworkBy) {
        this.fieldworkBy = fieldworkBy;
    }

    public String getFieldworkBy() {
        return fieldworkBy;
    }

    public void setNotes(String notes) {
        this.notes = notes;
    }

    public String getNotes() {
        return notes;
    }

    public String getAuditflowId() {
        return auditflowId;
    }

    public void setAuditflowId(String auditflowId) {
        this.auditflowId = auditflowId;
    }

    public String getAuditflowStep() {
        return auditflowStep;
    }

    public void setAuditflowStep(String auditflowStep) {
        this.auditflowStep = auditflowStep;
    }

    public String getDkbh() {
        return dkbh;
    }

    public void setDkbh(String dkbh) {
        this.dkbh = dkbh;
    }

    public String getDkmj() {
        return dkmj;
    }

    public void setDkmj(String dkmj) {
        this.dkmj = dkmj;
    }

    public String getGeom() {
        return geom;
    }

    public void setGeom(String geom) {
        this.geom = geom;
    }

    public String getConfirmState() {
        return confirmState;
    }

    public void setConfirmState(String confirmState) {
        this.confirmState = confirmState;
    }

    public Date getConfirmTime() {
        return confirmTime;
    }

    public void setConfirmTime(Date confirmTime) {
        this.confirmTime = confirmTime;
    }

    public String getConfirmNotse() {
        return confirmNotse;
    }

    public void setConfirmNotse(String confirmNotse) {
        this.confirmNotse = confirmNotse;
    }

    public String getConfirmType() {
        return confirmType;
    }

    public void setConfirmType(String confirmType) {
        this.confirmType = confirmType;
    }

    public String getAuditflow() {
        return auditflow;
    }

    public void setAuditflow(String auditflow) {
        this.auditflow = auditflow;
    }

    public String[] getStepStateS() {
        return stepStateS;
    }

    public void setStepStateS(String[] stepStateS) {
        this.stepStateS = stepStateS;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("dkjdxxId", getDkjdxxId())
                .append("stepState", getStepState())
                .append("endTime", getEndTime())
                .append("fieldworkId", getFieldworkId())
                .append("fieldworkBy", getFieldworkBy())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("notes", getNotes())
                .toString();
    }
}
